/**
 * Magetop Quotesystem
 *
 * @category  Magetop Extensions
 * @package   Magetop_Quotesystem
 * @author    Magetop Developer
 * @copyright Copyright (c) Magetop (https://www.magetop.com)
 * @license   https://www.magetop.com/license.html
 */

require(
    [
    'jquery'
    ], function ($) {
        'use strict';
        $(document).ajaxStop(
            function () {
                if (!parseInt($('select[name="product[quote_status]"] option:selected').val())) {
                    $('input[name="product[min_quote_qty]"]').prop('disabled', true);
                }
                $('select[name="product[quote_status]"]').change(
                    function () {
                        if (!parseInt($('select[name="product[quote_status]"] option:selected').val())) {
                            $('input[name="product[min_quote_qty]"]').prop('disabled', true);
                        } else {
                            $('input[name="product[min_quote_qty]"]').prop('disabled', false);
                        }
                    }
                )
            }
        );
    }
);